/*
   $Id: dcrawDump.c,v 1.8 2005/03/24 05:41:04 dmg Exp $


   Extract the fields from a raw photograph. Originally based on 
   parse.c from Dave Coffin

 * Copyright (C) 2004 Daniel M. German
 *
 * Author: Daniel M. German dmg _at_ turingmachine _dot_ org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <string.h>
#include <time.h>
#ifdef GETOPT
#include <gnugetopt/getopt.h>
#endif

#include "libraw.h"
#include "libcraw.h"
#include "libciff.h"



#define USAGE  "\nDump data structures from Canon(TM) raw digital photograph"\
	      "\n\nUsage:  %s [options] file1.crw file2.crw ...\n"


/*#define RECORD_STRING   0x1810*/


int main(int argc, char **argv)
{
  int arg;
  FILE *ifp;
  craw_photo_type *pPhoto;

  debug = 1;

  if (argc == 1) {
     fprintf (ERROR_OUTPUT, USAGE, argv[0]);
     exit(1);
  }

  for (arg=1; arg < argc; arg++) {
    ifp = fopen(argv[arg],"rb");
    if (!ifp) {
       perror(argv[arg]);
       continue;
    }
    if (debug) {
       fprintf (ERROR_OUTPUT, "Parsing %s:\n", argv[arg]);
    }
    pPhoto = craw_Load_Photo(ifp);

    if (pPhoto != NULL) {
      pPhoto->jpegOffset = 0;
      pPhoto->jpegLength = 0;
    }

    fclose (ifp);
    exit (0);

  }
  return 0;
}

